Priority: Normal

Assignee:

Category: Project Loading/Saving

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 24707

Description

Please add ability to setup autosaving current project.

This is much needed since QGIS isn't perfectly stable, like OS it runs on, power outlets, etc. 

Autosave event can be fired on any style change or timely or could be customised.

History

#1 - 2017-07-07 03:18 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Category changed from GUI to Project Loading/Saving

http://plugins.qgis.org/plugins/autoSaver/ ?

#2 - 2017-07-12 09:42 PM - Nikolay Lebedev

Yep! But shouldn't this be in core?

#3 - 2017-07-12 10:38 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Subject changed from Autosave project to Make autosaver plugin a core feature

Nikolay Lebedev wrote:

Yep! But shouldn't this be in core?

well... I personally could say the same for other plugins, actually I really think that tools like Group Stats, Table Manager and a few others should really be

added to core... bottom line is that when code is added to qgis core it needs to be mantained, and of there is no one that commits to that then better keep

stuff as plugins.
